Subject: Re: What's cooking in git.git (topics)

From: Andreas Ericsson <[email-masked]>
Date: Tue, 27 Nov 2007 14:45:36 +0100

Johannes Schindelin wrote:
> Hi,
> 
> On Tue, 27 Nov 2007, しらいしななこ wrote:
> 
>> Quoting Andreas Ericsson <[email-masked]>:
>>
>>> "git pull --rebase" already has an implementation. Dscho cooked one up
>>> which I've been using since then. It works nicely.
>> What is the reason that the option was not added to the official git?  
>> Was it coded poorly, buggy or were there some other issues?
> 
> It is very well possible that it was coded poorly ;-)
> 
> The main reason, I believe, was that some old-timers who know the 
> implications said that it would encourage a wrong workflow.

If by "wrong", those old-timers meant "a workflow not commonly used
in a published one-pushes-many-pulls repository", I certainly agree.

>  One thing 
> that could go possibly wrong, for example, is to rebase commits that you 
> already published.
> 

For the vast majority of git users, that's a non-issue as "published" is
usually defined as "pushed to the publicly advertised watering hole".

Yes, I'm aware that git is distributed. That doesn't mean that it's not
convenient to have one single place where all code meant to be released
eventually ends up.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231